Change log for llvm-toolchain-9 package in Ubuntu

156 of 56 results
Published in hirsute-proposed on 2020-11-22
llvm-toolchain-9 (1:9.0.1-15build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <email address hidden>  Thu, 19 Nov 2020 18:34:46 +0100
Published in hirsute-release on 2020-11-19
Deleted in hirsute-proposed (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-15build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <email address hidden>  Wed, 04 Nov 2020 11:48:55 +0100
Superseded in hirsute-proposed on 2020-11-04
llvm-toolchain-9 (1:9.0.1-15) unstable; urgency=low

  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Ensure fixfilepath feature is disabled.  The fixfilepath
    feature sets a -ffile-prefix-map flag, which is only
    supported in clang-10. (Closes: #972751).
    Thanks to Vagrant Cascadian for the patch
  * Don't use gold on ppc64el. It fails to build in that case
    (Closes: #972317)

 -- Sylvestre Ledru <email address hidden>  Sat, 31 Oct 2020 14:09:15 +0100
Deleted in groovy-proposed on 2020-08-31 (Reason: downgrading to a previous version, this upload was not ne...)
llvm-toolchain-9 (1:9.0.1-14ubuntu1) groovy; urgency=medium

  * Force the build with g++-9 on armhf, as it FTBFS with g++-10.

 -- Dimitri John Ledkov <email address hidden>  Fri, 28 Aug 2020 13:11:11 +0100
Superseded in hirsute-release on 2020-11-19
Published in groovy-release on 2020-09-09
Deleted in groovy-proposed (Reason: moved to Release)
Superseded in groovy-proposed on 2020-08-29
llvm-toolchain-9 (1:9.0.1-14build1) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <email address hidden>  Tue, 25 Aug 2020 01:25:23 +0100
Superseded in groovy-proposed on 2020-08-25
llvm-toolchain-9 (1:9.0.1-14) unstable; urgency=medium

  * debian/patches/b288d90b39f4b905c02092a9bfcfd6d78f99b191.patch:
  * debian/patches/3185c30c54d0af5bffbff3bcfd721668d086ff10.patch:
    - cherry-pick upstream fixes for ppc64el build failure (Closes: #968174)
  * Previous version closed bug: 964988 (Closes: #964988)

 -- Gianfranco Costamagna <email address hidden>  Sat, 15 Aug 2020 21:53:41 +0200
Superseded in groovy-proposed on 2020-08-23
llvm-toolchain-9 (1:9.0.1-14~build1) groovy; urgency=medium

  * Groovy upload

 -- Gianfranco Costamagna <email address hidden>  Sun, 23 Aug 2020 13:44:34 +0200
Superseded in groovy-proposed on 2020-08-23
llvm-toolchain-9 (1:9.0.1-13ubuntu1) groovy; urgency=medium

  * debian/patches/3185c30c54d0af5bffbff3bcfd721668d086ff10.patch:
    - cherry-pick upstream fix for ppc64el build failure (Closes: #968174)

 -- Gianfranco Costamagna <email address hidden>  Sat, 15 Aug 2020 21:53:41 +0200
Superseded in groovy-proposed on 2020-08-15
llvm-toolchain-9 (1:9.0.1-13build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <email address hidden>  Wed, 12 Aug 2020 07:03:07 +0200
Superseded in groovy-release on 2020-09-09
Superseded in groovy-release on 2020-07-30
Deleted in groovy-proposed on 2020-09-11 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-13) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add mips-force-nomadd4.diff to default to +nomadd4 on MIPS.

  [ Ximin Luo ]
  * Add 373184.patch to fix soundness issue affecting rustc. (Closes: #959877)
  * Add f8e146f3430de3a6cd904f3f3f7aa1bfaefee14c.patch to fix big-endian
    miscompilation affecting rustc.

 -- Sylvestre Ledru <email address hidden>  Tue, 07 Jul 2020 18:18:00 +0200

Available diffs

Superseded in groovy-release on 2020-07-10
Published in focal-release on 2020-04-15
Deleted in focal-proposed (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-12) unstable; urgency=medium

  [ Jessica Clarke ]
  * Cherry-pick upstream patch D74453 to fix atomic compare-and-swap on
    riscv64.

  [ William Grant ]
  * debian/patches/riscv64-multilib-empty.patch: Adjust riscv64 GCC detector
    to also check for existence of crtbegin.o in the default multilib dir,
    like most other ports. Fixes FTBFS on riscv64, since on Ubuntu
    /usr/lib/gcc/riscv64-linux-gnu/10 exists but is empty (gcc-10-base is
    installed, but libgcc-10-dev is not).

 -- Jessica Clarke <email address hidden>  Wed, 01 Apr 2020 16:23:55 +0100
Superseded in focal-release on 2020-04-15
Deleted in focal-proposed on 2020-04-16 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-11ubuntu1) focal; urgency=medium

  * debian/patches/riscv64-multilib-empty.patch: Adjust riscv64 GCC detector
    to also check for existence of crtbegin.o in the default multilib dir,
    like most other ports. Fixes FTBFS on riscv64, since on Ubuntu
    /usr/lib/gcc/riscv64-linux-gnu/10 exists but is empty (gcc-10-base is
    installed, but libgcc-10-dev is not).

 -- William Grant <email address hidden>  Mon, 06 Apr 2020 21:34:55 +1000
Superseded in focal-release on 2020-04-07
Deleted in focal-proposed on 2020-04-08 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-11) unstable; urgency=medium

  * Allow one to build g++ 9 & 10 to fix a gcc build dependency
    (closes: #955144)
    And disable thin lto on all archs
    It needs gcc-8 after after 8 will reject the -flto=thin arg
    And BOOTSTRAP_LLVM_ENABLE_LTO wil generate .so with llvm IR instead
    of native code

 -- Sylvestre Ledru <email address hidden>  Tue, 31 Mar 2020 21:11:56 +0200

Available diffs

Superseded in focal-release on 2020-04-05
Deleted in focal-proposed on 2020-04-06 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-10) unstable; urgency=medium

  * debian/patches/947f9692440836dcb8d88b74b69dd379d85974ce.patch:
    - cherry-pick upstream fix for glibc 2.31

 -- Gianfranco Costamagna <email address hidden>  Sat, 07 Mar 2020 01:01:35 +0100
Superseded in focal-release on 2020-03-21
Deleted in focal-proposed on 2020-03-22 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-9ubuntu1) focal; urgency=medium

  * debian/patches/947f9692440836dcb8d88b74b69dd379d85974ce.patch:
    - cherry-pick upstream fix for glibc 2.31

 -- Gianfranco Costamagna <email address hidden>  Sat, 07 Mar 2020 01:01:35 +0100
Superseded in focal-proposed on 2020-03-08
llvm-toolchain-9 (1:9.0.1-9) unstable; urgency=medium

  * Add patch to fix python3.8 test failures with deprecated cgi method, move
    to new html parser

 -- Gianfranco Costamagna <email address hidden>  Tue, 25 Feb 2020 15:28:58 +0100
Superseded in focal-release on 2020-03-11
Deleted in focal-proposed on 2020-03-13 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-8ubuntu1) focal; urgency=medium

  * Patch to move from old cgi to new html methods, fixing test failures with
    python3.8

 -- Gianfranco Costamagna <email address hidden>  Tue, 25 Feb 2020 15:29:06 +0100
Superseded in focal-proposed on 2020-02-25
llvm-toolchain-9 (1:9.0.1-8build2) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <email address hidden>  Fri, 21 Feb 2020 07:26:31 +0000

Available diffs

Published in bionic-updates on 2020-02-06
Published in bionic-security on 2020-02-06
llvm-toolchain-9 (1:9-2~ubuntu18.04.2) bionic-security; urgency=medium

  * No-change rebuild for the -security pocket.

 -- Marc Deslauriers <email address hidden>  Fri, 31 Jan 2020 11:26:43 -0500
Superseded in focal-release on 2020-02-28
Deleted in focal-proposed on 2020-02-29 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-8build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <email address hidden>  Sat, 25 Jan 2020 04:45:05 +0000
Superseded in focal-proposed on 2020-01-25
llvm-toolchain-9 (1:9.0.1-8) unstable; urgency=medium

  * Add two new python autopkgtests to avoid regressions in the future
  * Fix m68k architecture
  * Add Myself to uploaders
  * Revert site-packages/dist-packages hacking mv, this is done upstream now

 -- Gianfranco Costamagna <email address hidden>  Thu, 23 Jan 2020 14:30:57 +0100

Available diffs

Superseded in focal-proposed on 2020-01-23
llvm-toolchain-9 (1:9.0.1-7) unstable; urgency=medium

  * Add dependency on libclang-cpp-9 from llvm-9-dev (Closes: #946761)
  * fix lldb-9 -P path print (Closes: #945445)
  * Fix lldb python installation path and symlinks

 -- Gianfranco Costamagna <email address hidden>  Tue, 21 Jan 2020 13:05:06 +0100
Superseded in focal-proposed on 2020-01-23
llvm-toolchain-9 (1:9.0.1-6build2) focal; urgency=medium

  * Rebuild against against new binutils.

 -- Gianfranco Costamagna <email address hidden>  Tue, 14 Jan 2020 18:46:27 +0100
Superseded in focal-release on 2020-01-31
Deleted in focal-proposed on 2020-02-01 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-6build1) focal; urgency=medium

  * Rebuild against release pocket to avoid pulling wrong libllvm9 1:9.0.1-2
    from proposed pocket

 -- Gianfranco Costamagna <email address hidden>  Sat, 11 Jan 2020 11:11:49 +0100
Superseded in focal-proposed on 2020-01-12
llvm-toolchain-9 (1:9.0.1-6) unstable; urgency=medium

  * Team upload.
  * Add some more python3 shebangs (Closes: #948497)

 -- Gianfranco Costamagna <email address hidden>  Fri, 10 Jan 2020 09:37:55 +0100

Available diffs

Superseded in focal-proposed on 2020-01-10
llvm-toolchain-9 (1:9.0.1-5) unstable; urgency=medium

  * Install clang in Python3 directory (Closes: #948409)
    - thanks Mike Gabriel for the helpful report!

 -- Gianfranco Costamagna <email address hidden>  Wed, 08 Jan 2020 12:15:06 +0100

Available diffs

Deleted in focal-proposed on 2020-01-11 (Reason: NBS)
llvm-toolchain-9 (1:9.0.1-4) unstable; urgency=medium

  * Source only upload to sid
  * Force a python3 shebang on python modules to fix testsuite
  * Do not run z3 tests if z3 support is not enabled

 -- Gianfranco Costamagna <email address hidden>  Sat, 04 Jan 2020 08:52:02 +0100

Available diffs

Superseded in focal-proposed on 2020-01-04
llvm-toolchain-9 (1:9.0.1-3) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Build polly docs and manpages only when polly is enabled (Closes: #947236)

  [ Sylvestre Ledru ]
  * Introduce python3-clang-9 (closes: #942826)
  * Remove python-lldb-9
  * Remove Python 2 deps (Closes: #945695)

 -- Sylvestre Ledru <email address hidden>  Sun, 29 Dec 2019 12:37:34 +0100

Available diffs

Superseded in focal-release on 2020-01-13
Deleted in focal-proposed on 2020-01-14 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-2) unstable; urgency=medium

  [ James Clarke ]
  * Include upstream patch D71028 for rust mips tests (Closes: #946874)

  [ Aurelien Jarno ]
  * Include upstream patch D60657 for rust support on riscv64.

 -- James Clarke <email address hidden>  Fri, 20 Dec 2019 18:30:29 +0000

Available diffs

Superseded in focal-release on 2019-12-23
Deleted in focal-proposed on 2019-12-25 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1-1) unstable; urgency=medium

  * New stable release

 -- Sylvestre Ledru <email address hidden>  Thu, 19 Dec 2019 13:48:21 +0100
Superseded in focal-proposed on 2019-12-20
llvm-toolchain-9 (1:9.0.1~+rc3-2) unstable; urgency=medium

  * Team upload.
  [ Gianfranco Costamagna ]
  * Commit Breaks/Replaces into git

  [ Julian Andres Klode ]
  * Fix llvm-9-tools Breaks/Replaces libclang-common-9-dev (<< 1:9.0.1~+rc2)
    (Closes: #946473)

 -- Gianfranco Costamagna <email address hidden>  Thu, 19 Dec 2019 00:26:04 +0100
Superseded in focal-proposed on 2019-12-19
llvm-toolchain-9 (1:9.0.1~+rc3-2~build1) focal; urgency=medium

  * Upload to focal

 -- Gianfranco Costamagna <email address hidden>  Thu, 19 Dec 2019 00:27:37 +0100
Superseded in focal-proposed on 2019-12-18
llvm-toolchain-9 (1:9.0.1~+rc3-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix llvm-9-tools Breaks/Replaces libclang-common-9-dev (<< 1:9.0.1~+rc2)
      (Closes: #946473)

Superseded in focal-release on 2019-12-21
Deleted in focal-proposed on 2019-12-22 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1~+rc2-1~exp1ubuntu1) focal; urgency=medium

  * Fix llvm-9-tools Breaks/Replaces libclang-common-9-dev (<< 1:9.0.1~+rc2)
    (Closes: #946473)

 -- Julian Andres Klode <email address hidden>  Sat, 14 Dec 2019 21:10:58 +0100
Superseded in focal-release on 2019-12-15
Deleted in focal-proposed on 2019-12-17 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.1~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Fix some paths, upstream moved from site-packages
    to dist-packages for python packages
  * Move yaml-bench from libclang-common-X.Y-dev to llvm-X.Y-tools where
    it belongs
    See http://lists.llvm.org/pipermail/llvm-dev/2019-December/137337.html
  * Add a project in the cmake-test to silent a warning
    (Closes: #945489)

 -- Sylvestre Ledru <email address hidden>  Tue, 03 Dec 2019 07:56:16 +0100
Superseded in focal-release on 2019-12-14
Deleted in focal-proposed on 2019-12-15 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.0-4ubuntu4) focal; urgency=medium

  * Fix the stage2 build by passing z3 flags also there

 -- Gianfranco Costamagna <email address hidden>  Wed, 27 Nov 2019 10:30:41 +0100
Superseded in focal-proposed on 2019-11-28
llvm-toolchain-9 (1:9.0.0-4ubuntu3) focal; urgency=medium

  * Fix the stage2 build by passing z3 flags also there

 -- Gianfranco Costamagna <email address hidden>  Wed, 27 Nov 2019 10:30:41 +0100
Superseded in focal-proposed on 2019-11-27
llvm-toolchain-9 (1:9.0.0-4ubuntu2) focal; urgency=medium

  [ Gianfranco Costamagna ]
  * Patch cmake files to disable the z3 support in Ubuntu
  * Simplify rules file to put -g1 everywhere

  [ Sylvestre Ledru ]
  * Add a project in the cmake-test to silent a warning

 -- Gianfranco Costamagna <email address hidden>  Tue, 26 Nov 2019 09:24:38 +0100
Superseded in focal-proposed on 2019-11-26
llvm-toolchain-9 (1:9.0.0-4ubuntu1) focal; urgency=medium

  * Disable z3 to avoid pulling ocaml into main

 -- Gianfranco Costamagna <email address hidden>  Mon, 25 Nov 2019 17:27:35 +0100
Superseded in focal-proposed on 2019-11-25
llvm-toolchain-9 (1:9.0.0-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-cxx-paths.diff: Re-introduce patch to find C++ headers.
  * hurd-EIEIO-undef.diff: Drop patch, already fixed a different way upstream.
  * hurd-pathmax.diff: Drop now-useless parts.

  [ Sylvestre Ledru ]
  * Add libz3-dev as dependencies on llvm-X.Y-dev (Closes: #943996)
  * Update build-dep libpfm4-dev to linux-any.
    Thanks to Samuel Thibault for the patch

  [ Gianfranco Costamagna ]
  * Add also Ubuntu focal to the gcc-8 arch list

 -- Sylvestre Ledru <email address hidden>  Tue, 05 Nov 2019 10:30:26 +0100
Superseded in focal-release on 2019-11-29
Deleted in focal-proposed on 2019-11-30 (Reason: moved to Release)
llvm-toolchain-9 (1:9.0.0-3ubuntu2) focal; urgency=medium

  [ Samuel Thibault ]
  * hurd-cxx-paths.diff: Re-introduce patch to find C++ headers.
  * hurd-EIEIO-undef.diff: Drop patch, already fixed a different way upstream.
  * hurd-pathmax.diff: Drop now-useless parts.

  [ Sylvestre Ledru ]
  * Add libz3-dev as dependencies on llvm-X.Y-dev (Closes: #943996)

  [ Gianfranco Costamagna ]
  * Upload git commit db9dd59af5bfb9f6d3de3370712d2f677e1e21ca
  * Disable thin everywhere

 -- Gianfranco Costamagna <email address hidden>  Sun, 03 Nov 2019 19:02:25 +0100
Superseded in focal-proposed on 2019-11-03
llvm-toolchain-9 (1:9.0.0-3ubuntu1) focal; urgency=medium

  * Add focal to the gcc-8 arch list

 -- Gianfranco Costamagna <email address hidden>  Sat, 02 Nov 2019 09:40:19 +0100
Superseded in focal-proposed on 2019-11-02
llvm-toolchain-9 (1:9.0.0-3) unstable; urgency=medium

  * Seems to be ok, uploading to unstable
    (Closes: #942864) fuzzer issues
    (Closes: #943623) libclangIndex.a are llvm ir bitcode

 -- Sylvestre Ledru <email address hidden>  Thu, 31 Oct 2019 20:36:09 +0100

Available diffs

Superseded in focal-proposed on 2019-11-01
llvm-toolchain-9 (1:9.0.0-2) unstable; urgency=medium

  * polly, openmp & lldb aren't enabled for every platform
    So, add to PROJECTS only when enabled
  * clang: Force the installation of libclang-cpp with the exact same version
    and remove libclang as dep
  * With the github move, libfuzzer is now compiled as part of the build
    process. It fails to compile for some unexpected reasons.
    As I have been compiling libfuzzer by hand for a while, just still
    do this.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942864
    https://bugs.llvm.org/show_bug.cgi?id=43677
    disable-fuzzer-compiler-rt.diff
  * Disable all kfreebsd patches:
    - Needs rebasing on snapshot often
    - Didn't build on Debian for a while
    - Not forwarded upstream
    - No support from the team

 -- Sylvestre Ledru <email address hidden>  Sun, 20 Oct 2019 17:27:50 +0200

Available diffs

Superseded in bionic-updates on 2020-02-06
Deleted in bionic-proposed on 2020-02-07 (Reason: moved to -updates)
llvm-toolchain-9 (1:9-2~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.4 HWE stack update. (LP: #1848522)

 -- Timo Aaltonen <email address hidden>  Mon, 21 Oct 2019 17:13:41 +0300
Superseded in focal-proposed on 2019-10-27
llvm-toolchain-9 (1:9.0.0-1) unstable; urgency=medium

  * Repack to move to git
  * Move the checkout of the sources from svn to git
  * Use -DLLVM_ENABLE_PROJECTS instead of symlinks
  * Use -DBOOTSTRAP_LLVM_ENABLE_LTO instead of
    -DLLVM_ENABLE_LTO (not sure what it wasn't done)
  * Add dependency between libclang-cpp => libllvm with the exact version
    (Closes: #942526)

 -- Sylvestre Ledru <email address hidden>  Sat, 19 Oct 2019 10:30:41 +0200
Superseded in focal-release on 2019-11-04
Published in eoan-release on 2019-10-08
Deleted in eoan-proposed (Reason: moved to Release)
llvm-toolchain-9 (1:9-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Enable lldb on s390x too, it builds fine now
  * python*lldb, depend on liblldb-9 to avoid failure during import
  * Add a basic cmake test to see if the package is imported correctly

  [ Sylvestre Ledru ]
  * add a cpuid check
  * /disable-lit-cpuid-install.diff: Remove the lit-cpuid from the llvm
    install.
    It is provided by lldb and we don't want to add this as a new
    dep from llvm-dev (Closes: #941082 #941306)

 -- Sylvestre Ledru <email address hidden>  Thu, 03 Oct 2019 18:14:21 +0200
Superseded in eoan-proposed on 2019-10-08
llvm-toolchain-9 (1:9-1ubuntu1) eoan; urgency=medium

  * Update sed regex to fix cmake import on s390x

 -- Gianfranco Costamagna <email address hidden>  Thu, 03 Oct 2019 18:45:40 +0200
Superseded in eoan-release on 2019-10-08
Superseded in eoan-release on 2019-09-29
Deleted in eoan-proposed on 2019-10-10 (Reason: moved to Release)
llvm-toolchain-9 (1:9-1) unstable; urgency=medium

  * New release
  * Fix the FTBFS on all platform by adding -DCLANG_BUILD_EXAMPLES=OFF
    to cmake.
    So, the following libs aren't built anymore:
       - usr/lib/llvm-9/lib/SampleAnalyzerPlugin.so
       - usr/lib/llvm-9/lib/CheckerDependencyHandlingAnalyzerPlugin.so
       - usr/lib/llvm-9/lib/CheckerOptionHandlingAnalyzerPlugin.so

 -- Sylvestre Ledru <email address hidden>  Tue, 24 Sep 2019 21:09:57 +0200

Available diffs

Superseded in eoan-release on 2019-09-26
Superseded in eoan-release on 2019-09-20
Deleted in eoan-proposed on 2019-09-27 (Reason: moved to release)
llvm-toolchain-9 (1:9~+rc5-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <email address hidden>  Fri, 13 Sep 2019 14:45:01 +0200
Superseded in eoan-release on 2019-09-15
Deleted in eoan-proposed on 2019-09-16 (Reason: moved to release)
llvm-toolchain-9 (1:9~+rc4-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <email address hidden>  Tue, 10 Sep 2019 15:25:46 +0200
Superseded in eoan-release on 2019-09-13
Deleted in eoan-proposed on 2019-09-14 (Reason: moved to release)
llvm-toolchain-9 (1:9~+rc3-1~exp3ubuntu1) eoan; urgency=medium

  * Fix build by uploading debian git 12f259a940675fbbbb19332e520131e76596fb2b

 -- Gianfranco Costamagna <email address hidden>  Mon, 09 Sep 2019 13:53:41 +0200
Superseded in eoan-proposed on 2019-09-09
llvm-toolchain-9 (1:9~+rc3-1~exp3) experimental; urgency=medium

  * Force gcc before 9 (gcc 8 on Debian unstable) because it causes
    huge increase of the size of the .deb (because of .a and .so) and
    issues in the libs
    (Closes: #939472)

 -- Sylvestre Ledru <email address hidden>  Fri, 06 Sep 2019 23:27:28 +0200
Superseded in eoan-release on 2019-09-10
Deleted in eoan-proposed on 2019-09-11 (Reason: moved to release)
llvm-toolchain-9 (1:9~+rc3-1~exp2) experimental; urgency=medium

  * Debian moved to gcc-9. This gcc version now refuses -flto="Thin"
    Move from LLVM_ENABLE_LTO="Thin" to BOOTSTRAP_LLVM_ENABLE_LTO="Thin"
    to mitigate the issue (the argument should be passed only at the
    second stage of the build process)
    See https://bugs.llvm.org/show_bug.cgi?id=43193
  * Fix a link issue (Closes: #939172)

 -- Sylvestre Ledru <email address hidden>  Mon, 02 Sep 2019 10:46:45 +0200
Superseded in eoan-proposed on 2019-09-03
llvm-toolchain-9 (1:9~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Update of the license file. Upstream moved to Apache 2
    with LLVM exception (Closes: #935149)
  * remove 0050-Remove-explicit-python-version-list.patch
    bug-43011-mips.diff as they are merged upstream
  * llvm-9-dev depends on llvm-9-tools
    Since https://reviews.llvm.org/D56606, LLVMExports.cmake
    requires FileCheck when LLVM_INSTALL_UTILS=ON is enabled (which
    is the case here).
    See https://bugs.llvm.org/show_bug.cgi?id=43035
  * Also add PYTHON_EXECUTABLE to the CLANG_BOOTSTRAP_PASSTHROUGH option
    to fix an issue on xenial
  * Add clangd-X => libclang-common-X-dev dependency
    See https://bugs.llvm.org/show_bug.cgi?id=43152
  * Remove the -lc++experimental test from the qualify-clang.sh script
    as the lib has been removed in 9~svn366022-1~exp1
  * Also install libclang-cpp in /usr/lib/llvm-X/lib/libclang-cpp.so.X
  * Improve the fix-clang-path-and-build.diff patch
    If this package was built with libclang-common installed on the system,
    it could fail with 'use of undeclared identifier' because
    #include_next was failing as it was expecting the next header to be
    libstdc++
    Now, if the local build headers are found, don't include system's
  * Rename libclang-cpp1-9 to libclang-cpp9 to match the soname and libllvm9
    naming (at some point, all libs should do that ...)

 -- Sylvestre Ledru <email address hidden>  Tue, 27 Aug 2019 23:38:11 +0200
Superseded in eoan-release on 2019-09-04
Deleted in eoan-proposed on 2019-09-05 (Reason: moved to release)
Superseded in eoan-proposed on 2019-08-22
llvm-toolchain-9 (1:9~+rc2-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Add back python-* dependencies to fix tools not really ready for python3
  * Fix missing epoch in breaks/replaces

  [ Sylvestre Ledru ]
  * New snapshot release

 -- Sylvestre Ledru <email address hidden>  Wed, 14 Aug 2019 10:36:17 +0200
156 of 56 results